part of ngx_core;

/// Manages the title of the current document.
class Title {

  /// The application properties.
  final Application _app;

  /// The current HTML document.
  final dom.HtmlDocument _document;

  /// The text of the document title.
  String _text;

  /// Creates a new title service.
  Title(this._app, this._document): _text = _document.title;

  /// The text of the document title.
  String get text => _text;
  set text(String value) => setText(value, appendAppName: true);

  /// Sets the text of the document title.
  void setText(String value, {bool appendAppName = false}) {
    _text = value ?? '';
    _document.title = appendAppName ? '$_text - ${_app.name}' : _text;
  }
}
